using System;
using System.Collections.Generic;
using NinjaTrader.Cbi;

internal sealed class Delegate446 : MulticastDelegate
{
	public extern void Invoke(object object_0, IEnumerable<Order> ienumerable_0);

	public static void smethod_0(object object_0, IEnumerable<Order> ienumerable_0, Delegate446 delegate446_1)
	{
		delegate446_1(object_0, ienumerable_0);
	}

	public extern Delegate446(object object_0, IntPtr intptr_0);

	static Delegate446()
	{
		Class10.smethod_13(typeof(Delegate446).TypeHandle);
	}

	internal static Delegate446 delegate446_0;
}
